# Uses of Class
javax.swing.event.CaretEvent

Packages that use CaretEvent
Package
Description
javax.swing.event
Provides for events fired by Swing components.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of CaretEvent in javax.swing.event

Methods in javax.swing.event with parameters of type CaretEvent
Modifier and Type
Method
Description
`void`
CaretListener.`caretUpdate(CaretEvent e)`
Called when the caret position is updated.

## Uses of CaretEvent in javax.swing.text

Methods in javax.swing.text with parameters of type CaretEvent
Modifier and Type
Method
Description
`void`
JTextComponent.AccessibleJTextComponent.`caretUpdate(CaretEvent e)`
Handles caret updates (fire appropriate property change event, which are AccessibleContext.ACCESSIBLE_CARET_PROPERTY and AccessibleContext.ACCESSIBLE_SELECTION_PROPERTY).
`protected void`
JTextComponent.`fireCaretUpdate(CaretEvent e)`
Notifies all listeners that have registered interest for notification on this event type.